Skip to main content
GET
/
messages
Get Messages
curl --request GET \
  --url https://api.inprocess.world/api/messages \
  --header 'x-api-key: <api-key>'
{
  "messages": [
    {
      "id": "2659837e-4c9a-4647-8cdc-d72a6237a67b",
      "role": "assistant",
      "parts": [
        {
          "text": "✅ Moment created! https://inprocess.world/sms/base:0x880e7708fd3a5dd810bdc4a50e38b821ee6c9806/1",
          "type": "text"
        }
      ],
      "metadata": {
        "id": "286a38a8-46a6-4006-8826-6b1b2a45f931",
        "client": "telegram",
        "created_at": "2026-01-30T18:47:09.189218+00:00",
        "artist_address": "0xaf1452d289e22fbd0dea9d5097353c72a90fac33"
      },
      "moment": {
        "id": "5264bb73-507a-44ce-8f17-4443af13f7b4",
        "uri": "ar://QoSsN-mitKMKum21lN0DK0DVxXn11l0IDnhe93pqnUU",
        "token_id": 1,
        "collection": {
          "id": "5005b11c-3ae4-4178-a9b1-3b38882aa68c",
          "uri": "ar://QoSsN-mitKMKum21lN0DK0DVxXn11l0IDnhe93pqnUU",
          "name": "🏕nature ⛰",
          "address": "0x880e7708fd3a5dd810bdc4a50e38b821ee6c9806",
          "chain_id": 8453,
          "created_at": "2026-01-30T18:47:09+00:00",
          "updated_at": "2026-01-30T18:47:09+00:00",
          "creator": "0xaf1452d289e22fbd0dea9d5097353c72a90fac33"
        },
        "created_at": "2026-01-30T18:47:09+00:00"
      }
    }
  ],
  "count": 1
}

Authorizations

x-api-key
string
header
required

Artist API key for authentication. Get your API key from https://inprocess.world/manage/api-keys

Query Parameters

messageId
string<uuid>

The unique identifier (UUID) of a specific message to retrieve. When provided, returns a single message instead of a paginated list.

moment
string
default:false

Filter messages by moment association. Set to 'true' to only return messages with moments.

page
integer
default:1

Page number for pagination

limit
integer
default:10

Number of messages per page

Response

Successful response - returns paginated messages with total count

messages
object[]

Array of messages

count
integer

Total count of messages matching the query